summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 14:56:24 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 14:56:24 +0200
commit83514f69f5964ba80311e60e7b78d1ed1c9dc6d1 (patch)
treea70c44da07a3a13475a475247d69256b68cf9712 /libraries
parent0d0055fa2f4c144440e09a2a32f707c0786bdfec (diff)
downloadslackbuilds-83514f69f5964ba80311e60e7b78d1ed1c9dc6d1.tar.gz
slackbuilds-83514f69f5964ba80311e60e7b78d1ed1c9dc6d1.tar.xz
libraries/physfs: Initial import
Diffstat (limited to 'libraries')
-rw-r--r--libraries/physfs/README3
-rw-r--r--libraries/physfs/physfs.SlackBuild54
-rw-r--r--libraries/physfs/physfs.info8
-rw-r--r--libraries/physfs/slack-desc9
4 files changed, 74 insertions, 0 deletions
diff --git a/libraries/physfs/README b/libraries/physfs/README
new file mode 100644
index 0000000000..d291b0ad41
--- /dev/null
+++ b/libraries/physfs/README
@@ -0,0 +1,3 @@
+PhysicsFS is a library to provide abstract access to various archives. It is
+intended for use in video games, and the design was somewhat inspired by
+Quake 3's file subsystem.
diff --git a/libraries/physfs/physfs.SlackBuild b/libraries/physfs/physfs.SlackBuild
new file mode 100644
index 0000000000..890fa95fb3
--- /dev/null
+++ b/libraries/physfs/physfs.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for physfs
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=physfs
+VERSION=1.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG CREDITS LICENSE TODO docs/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/physfs/physfs.info b/libraries/physfs/physfs.info
new file mode 100644
index 0000000000..7545d9654d
--- /dev/null
+++ b/libraries/physfs/physfs.info
@@ -0,0 +1,8 @@
+PRGNAM="physfs"
+VERSION="1.0.1"
+HOMEPAGE="http://icculus.org/physfs/"
+DOWNLOAD="http://icculus.org/physfs/downloads/physfs-1.0.1.tar.gz"
+MD5SUM="d0bd118c6b55fb1e020fe982d6ec6957"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="elohim,robw810"
diff --git a/libraries/physfs/slack-desc b/libraries/physfs/slack-desc
new file mode 100644
index 0000000000..928351a25e
--- /dev/null
+++ b/libraries/physfs/slack-desc
@@ -0,0 +1,9 @@
+physfs: PhysicsFS - a library to provide abstract access to various archives.
+physfs:
+physfs: It is intended for use in video games, and the design was somewhat
+physfs: inspired by Quake 3's file subsystem.
+physfs:
+physfs: Homepage: http://icculus.org/physfs/
+physfs:
+physfs:
+physfs: